ControlButtonType (install4j API)
Description: declaration: package: com.install4j.api.context, enum: ControlButtonType

Package com.install4j.api.context

# Enum Class ControlButtonType

java.lang.Object
java.lang.Enum<ControlButtonType>
com.install4j.api.context.ControlButtonType

All Implemented Interfaces:
  `Serializable`, `Comparable<ControlButtonType>`, `Constable`

public enum ControlButtonType extends Enum<ControlButtonType>
Types of navigation buttons in the user interface. This is used by methods in `WizardContext` and in the styles API.

See Also:
  - `WizardContext`
  - `ControlButton`
  - `ControlButtonContainer`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CANCEL`
  The button to cancel the installer application.
  `NEXT`
  The button to go to the next screen.
  `PREVIOUS`
  The button to go to the previous screen.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static ControlButtonType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ControlButtonType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PREVIOUS

    public static final ControlButtonType PREVIOUS
    The button to go to the previous screen.

  - ### NEXT

    public static final ControlButtonType NEXT
    The button to go to the next screen.

  - ### CANCEL

    public static final ControlButtonType CANCEL
    The button to cancel the installer application.

- ## Method Details

  - ### values

    public static ControlButtonType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ControlButtonType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ControlButtonType>`